package widget;

import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;      // for event processing

import widget.ImageButton;

public class ImageButtonTest extends Applet implements ActionListener {
  Button darkenButton, lightenButton;
  ImageButton imageButton1a, imageButton1b, imageButton1c,
              imageButton2, imageButton3, imageButton4,
              imageButton5;
  
  //--------------------------------------------------------------

  public void init() {

    darkenButton = new Button("Darken Borders");
    add(darkenButton);
    darkenButton.addActionListener(this);
    lightenButton = new Button("Lighten Borders");
    add(lightenButton);
    darkenButton.setBounds(10, 10, 100, 30);

    ImageButton.setActionListener(this);

    imageButton1a =
      new ImageButton("file:///" + System.getProperty("user.dir")
			+ "/images/" + "copy.gif");

    imageButton1b =
      new ImageButton("file:///" + System.getProperty("user.dir")
			+ "/images/" + "question.gif");

    imageButton1b.setSize(100, 100);
    imageButton1c =
      new ImageButton("file:///" + System.getProperty("user.dir")
			+ "/images/" + "go-green.gif");

    imageButton1c.setSize(30, 30);

    add(imageButton1a);  
    add(imageButton1b);
    add(imageButton1c);

    /*
    imageButton2 =
      new ImageButton("http://www.apl.jhu.edu/~hall/images/" +
		      "xbill/big-gifs/apple.gif");
    imageButton3 =
      new ImageButton("http://www.apl.jhu.edu/~hall/images/" +
		      "xbill/big-gifs/next.gif");
    imageButton4 =
      new ImageButton("http://www.apl.jhu.edu/~hall/images/" +
		      "xbill/big-gifs/sun.gif");
    imageButton5 =
      new ImageButton("http://www.apl.jhu.edu/Gifs/kctrsmall.gif");

    imageButton2.setBorderWidth(3);
    imageButton3.setBorderWidth(4);
    imageButton4.setBorderWidth(5);
    add(imageButton2);
    add(imageButton3);
    add(imageButton4);
    add(imageButton5);
    */
  }

  private int gray = 160;

  //-----------------------------------------------------------------
  public void actionPerformed (ActionEvent event) {
      System.out.println( event.getSource() );

    if (event.getSource() == darkenButton) {
      System.out.println("darkenButton");
      gray = gray - 5;
      setColors(gray);
      paintComponents(getGraphics());
      return;
    } else if (event.getSource() == lightenButton) {
      System.out.println("lightenButton");
      gray = gray + 5;
      setColors(gray);
      paintComponents(getGraphics());
      return;
    } else {
      System.out.println("Container got ACTION_EVENT for button");
      System.out.println(" showing " +
			 ((ImageButton)event.getSource()).imageString + ".");
      return;
    }

  }

  //-----------------------------------------------------------------

  public void paint(Graphics g) {
    g.setColor(Color.yellow);
    for (int i=10; i<500; i=i+10)
      g.drawLine(i, 0, i, 400);
  }

  //-----------------------------------------------------------------

  private void setColors(int gray) {
    System.out.println("Gray level=" + gray);
    Color c = new Color(gray, gray, gray);
    imageButton1a.setBorderColor(c);
    imageButton1b.setBorderColor(c);
    imageButton1c.setBorderColor(c);
    imageButton2.setBorderColor(c);
    imageButton3.setBorderColor(c);
    imageButton4.setBorderColor(c);
    imageButton5.setBorderColor(c);
  }
  
  //--------------------------------------------------------------
  // Lets this be run as either an applet or an application.
  // Generated by JavaStub: http://www.apl.jhu.edu/~hall/java/JavaStub.html

  public static void main(String[] args) {
    Frame mainFrame = new Frame("ImageButtonTest");
    ImageButtonTest app = new ImageButtonTest();
    app.init();
    mainFrame.setSize(500,400);
    mainFrame.add("Center", app);
    mainFrame.setVisible(true);
    //    mainFrame.repaint();
  }
  
  //--------------------------------------------------------------
} 
